org.apache.tinkerpop.gremlin.python.jsr223

## Class GremlinJythonScriptEngine

- java.lang.Object
- - org.apache.tinkerpop.gremlin.python.jsr223.GremlinJythonScriptEngine

- All Implemented Interfaces:
    ScriptEngine, GremlinScriptEngine

  Deprecated.
  As of release 3.3.10, not replaced - see TINKERPOP-2317

      @Deprecated
      public class GremlinJythonScriptEngine
      extends Object
      implements GremlinScriptEngine

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinScriptEngine

      `HIDDEN_G`

    - ### Fields inherited from interface javax.script.ScriptEngine

      `ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinJythonScriptEngine(Customizer... customizers)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `createBindings()` Deprecated.
    `Traversal.Admin` | `eval(Bytecode bytecode, Bindings bindings, String traversalSource)` Deprecated. Evaluates `Traversal` `Bytecode` with the specified `Bindings`.
    `Object` | `eval(Reader reader)` Deprecated.
    `Object` | `eval(Reader reader, Bindings n)` Deprecated.
    `Object` | `eval(Reader reader, ScriptContext context)` Deprecated.
    `Object` | `eval(String script)` Deprecated.
    `Object` | `eval(String script, Bindings n)` Deprecated.
    `Object` | `eval(String script, ScriptContext context)` Deprecated.
    `Object` | `get(String key)` Deprecated.
    `Bindings` | `getBindings(int scope)` Deprecated.
    `ScriptContext` | `getContext()` Deprecated.
    `GremlinScriptEngineFactory` | `getFactory()` Deprecated.
    `void` | `put(String key, Object value)` Deprecated.
    `void` | `setBindings(Bindings bindings, int scope)` Deprecated.
    `void` | `setContext(ScriptContext context)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinScriptEngine

      `eval, eval, eval`

- - ### Constructor Detail

    - #### GremlinJythonScriptEngine

          public GremlinJythonScriptEngine(Customizer... customizers)

      Deprecated.

  - ### Method Detail

    - #### eval

          public Traversal.Admin eval(Bytecode bytecode,
                                      Bindings bindings,
                                      String traversalSource)
                               throws ScriptException

      Deprecated.
      Description copied from interface: `GremlinScriptEngine`
      Evaluates `Traversal` `Bytecode` with the specified `Bindings`. These `Bindings` supplied to this method will be merged with global engine bindings and override them where keys match.
      Specified by:
        `eval` in interface `GremlinScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(String script,
                             ScriptContext context)
                      throws ScriptException

      Deprecated.
      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(Reader reader,
                             ScriptContext context)
                      throws ScriptException

      Deprecated.
      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(String script)
                      throws ScriptException

      Deprecated.
      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(Reader reader)
                      throws ScriptException

      Deprecated.
      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(String script,
                             Bindings n)
                      throws ScriptException

      Deprecated.
      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(Reader reader,
                             Bindings n)
                      throws ScriptException

      Deprecated.
      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### put

          public void put(String key,
                          Object value)

      Deprecated.
      Specified by:
        `put` in interface `ScriptEngine`

    - #### get

          public Object get(String key)

      Deprecated.
      Specified by:
        `get` in interface `ScriptEngine`

    - #### getBindings

          public Bindings getBindings(int scope)

      Deprecated.
      Specified by:
        `getBindings` in interface `ScriptEngine`

    - #### setBindings

          public void setBindings(Bindings bindings,
                                  int scope)

      Deprecated.
      Specified by:
        `setBindings` in interface `ScriptEngine`

    - #### createBindings

          public Bindings createBindings()

      Deprecated.
      Specified by:
        `createBindings` in interface `ScriptEngine`

    - #### getContext

          public ScriptContext getContext()

      Deprecated.
      Specified by:
        `getContext` in interface `ScriptEngine`

    - #### setContext

          public void setContext(ScriptContext context)

      Deprecated.
      Specified by:
        `setContext` in interface `ScriptEngine`

    - #### getFactory

          public GremlinScriptEngineFactory getFactory()

      Deprecated.
      Specified by:
        `getFactory` in interface `ScriptEngine`
      Specified by:
        `getFactory` in interface `GremlinScriptEngine`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.